diff --git a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITOpcodes.cpp b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITOpcodes.cpp
index b5f6597..e6b821d 100644
--- a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITOpcodes.cpp
+++ b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITOpcodes.cpp
@@ -267,7 +267,7 @@ void JIT::privateCompileCTIMachineTrampolines(RefPtr<ExecutablePool>* executable
     emitGetFromCallFrameHeaderPtr(RegisterFile::ReturnPC, regT1);
     move(ImmPtr(&globalData->exceptionLocation), regT2);
     storePtr(regT1, regT2);
-    move(ImmPtr(reinterpret_cast<void*>(ctiVMThrowTrampoline)), regT2);
+    move(ImmPtr(reinterpret_cast<void*>(JIT_STUB_NAME(ctiVMThrowTrampoline))), regT2);
     emitGetFromCallFrameHeaderPtr(RegisterFile::CallerFrame, callFrameRegister);
     poke(callFrameRegister, OBJECT_OFFSETOF(struct JITStackFrame, callFrame) / sizeof (void*));
     restoreReturnAddressBeforeReturn(regT2);
@@ -289,16 +289,16 @@ void JIT::privateCompileCTIMachineTrampolines(RefPtr<ExecutablePool>* executable
     LinkBuffer patchBuffer(this, m_globalData->executableAllocator.poolForSize(m_assembler.size()));
 
 #if ENABLE(JIT_OPTIMIZE_PROPERTY_ACCESS)
-    patchBuffer.link(string_failureCases1Call, FunctionPtr(cti_op_get_by_id_string_fail));
-    patchBuffer.link(string_failureCases2Call, FunctionPtr(cti_op_get_by_id_string_fail));
-    patchBuffer.link(string_failureCases3Call, FunctionPtr(cti_op_get_by_id_string_fail));
+    patchBuffer.link(string_failureCases1Call, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_string_fail)));
+    patchBuffer.link(string_failureCases2Call, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_string_fail)));
+    patchBuffer.link(string_failureCases3Call, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_string_fail)));
 #endif
-    patchBuffer.link(callArityCheck1, FunctionPtr(cti_op_call_arityCheck));
-    patchBuffer.link(callJSFunction1, FunctionPtr(cti_op_call_JSFunction));
+    patchBuffer.link(callArityCheck1, FunctionPtr(JIT_STUB_NAME(cti_op_call_arityCheck)));
+    patchBuffer.link(callJSFunction1, FunctionPtr(JIT_STUB_NAME(cti_op_call_JSFunction)));
 #if ENABLE(JIT_OPTIMIZE_CALL)
-    patchBuffer.link(callArityCheck2, FunctionPtr(cti_op_call_arityCheck));
-    patchBuffer.link(callJSFunction2, FunctionPtr(cti_op_call_JSFunction));
-    patchBuffer.link(callLazyLinkCall, FunctionPtr(cti_vm_lazyLinkCall));
+    patchBuffer.link(callArityCheck2, FunctionPtr(JIT_STUB_NAME(cti_op_call_arityCheck)));
+    patchBuffer.link(callJSFunction2, FunctionPtr(JIT_STUB_NAME(cti_op_call_JSFunction)));
+    patchBuffer.link(callLazyLinkCall, FunctionPtr(JIT_STUB_NAME(cti_vm_lazyLinkCall)));
 #endif
 
     CodeRef finalCode = patchBuffer.finalizeCode();
@@ -335,7 +335,7 @@ void JIT::emit_op_mov(Instruction* currentInstruction)
 void JIT::emit_op_end(Instruction* currentInstruction)
 {
     if (m_codeBlock->needsFullScopeChain())
-        JITStubCall(this, cti_op_end).call();
+        JITStubCall(this, JIT_STUB_NAME(cti_op_end)).call();
     ASSERT(returnValueRegister != callFrameRegister);
     emitLoad(currentInstruction[1].u.operand, regT1, regT0);
     restoreReturnAddressBeforeReturn(Address(callFrameRegister, RegisterFile::ReturnPC * static_cast<int>(sizeof(Register))));
@@ -393,7 +393,7 @@ void JIT::emitSlow_op_loop_if_less(Instruction* currentInstruction, Vector<SlowC
         linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // int32 check
 
-    JITStubCall stubCall(this, cti_op_loop_if_less);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_loop_if_less));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call();
@@ -438,7 +438,7 @@ void JIT::emitSlow_op_loop_if_lesseq(Instruction* currentInstruction, Vector<Slo
         linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // int32 check
 
-    JITStubCall stubCall(this, cti_op_loop_if_lesseq);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_loop_if_lesseq));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call();
@@ -447,7 +447,7 @@ void JIT::emitSlow_op_loop_if_lesseq(Instruction* currentInstruction, Vector<Slo
 
 void JIT::emit_op_new_object(Instruction* currentInstruction)
 {
-    JITStubCall(this, cti_op_new_object).call(currentInstruction[1].u.operand);
+    JITStubCall(this, JIT_STUB_NAME(cti_op_new_object)).call(currentInstruction[1].u.operand);
 }
 
 void JIT::emit_op_instanceof(Instruction* currentInstruction)
@@ -518,7 +518,7 @@ void JIT::emitSlow_op_instanceof(Instruction* currentInstruction, Vector<SlowCas
     linkSlowCase(iter);
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_instanceof);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_instanceof));
     stubCall.addArgument(value);
     stubCall.addArgument(baseVal);
     stubCall.addArgument(proto);
@@ -527,7 +527,7 @@ void JIT::emitSlow_op_instanceof(Instruction* currentInstruction, Vector<SlowCas
 
 void JIT::emit_op_new_func(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_new_func);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_func));
     stubCall.addArgument(ImmPtr(m_codeBlock->functionDecl(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
@@ -601,19 +601,19 @@ void JIT::emit_op_put_scoped_var(Instruction* currentInstruction)
 
 void JIT::emit_op_tear_off_activation(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_tear_off_activation);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_tear_off_activation));
     stubCall.addArgument(currentInstruction[1].u.operand);
     stubCall.call();
 }
 
 void JIT::emit_op_tear_off_arguments(Instruction*)
 {
-    JITStubCall(this, cti_op_tear_off_arguments).call();
+    JITStubCall(this, JIT_STUB_NAME(cti_op_tear_off_arguments)).call();
 }
 
 void JIT::emit_op_new_array(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_new_array);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_array));
     stubCall.addArgument(Imm32(currentInstruction[2].u.operand));
     stubCall.addArgument(Imm32(currentInstruction[3].u.operand));
     stubCall.call(currentInstruction[1].u.operand);
@@ -621,7 +621,7 @@ void JIT::emit_op_new_array(Instruction* currentInstruction)
 
 void JIT::emit_op_resolve(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_resolve);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
@@ -648,14 +648,14 @@ void JIT::emitSlow_op_to_primitive(Instruction* currentInstruction, Vector<SlowC
 
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_to_primitive);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_to_primitive));
     stubCall.addArgument(regT1, regT0);
     stubCall.call(dst);
 }
 
 void JIT::emit_op_strcat(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_strcat);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_strcat));
     stubCall.addArgument(Imm32(currentInstruction[2].u.operand));
     stubCall.addArgument(Imm32(currentInstruction[3].u.operand));
     stubCall.call(currentInstruction[1].u.operand);
@@ -689,7 +689,7 @@ void JIT::emitSlow_op_loop_if_true(Instruction* currentInstruction, Vector<SlowC
 
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_jtrue);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jtrue));
     stubCall.addArgument(cond);
     stubCall.call();
     emitJumpSlowToHot(branchTest32(NonZero, regT0), target + 2);
@@ -697,14 +697,14 @@ void JIT::emitSlow_op_loop_if_true(Instruction* currentInstruction, Vector<SlowC
 
 void JIT::emit_op_resolve_base(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_resolve_base);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve_base));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
 
 void JIT::emit_op_resolve_skip(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_resolve_skip);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve_skip));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.addArgument(Imm32(currentInstruction[3].u.operand + m_codeBlock->needsFullScopeChain()));
     stubCall.call(currentInstruction[1].u.operand);
@@ -744,7 +744,7 @@ void JIT::emitSlow_op_resolve_global(Instruction* currentInstruction, Vector<Slo
     unsigned currentIndex = m_globalResolveInfoIndex++;
 
     linkSlowCase(iter);
-    JITStubCall stubCall(this, cti_op_resolve_global);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve_global));
     stubCall.addArgument(ImmPtr(globalObject));
     stubCall.addArgument(ImmPtr(ident));
     stubCall.addArgument(Imm32(currentIndex));
@@ -772,7 +772,7 @@ void JIT::emitSlow_op_not(Instruction* currentInstruction, Vector<SlowCaseEntry>
 
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_not);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_not));
     stubCall.addArgument(src);
     stubCall.call(dst);
 }
@@ -812,7 +812,7 @@ void JIT::emitSlow_op_jfalse(Instruction* currentInstruction, Vector<SlowCaseEnt
     unsigned target = currentInstruction[2].u.operand;
 
     linkSlowCase(iter);
-    JITStubCall stubCall(this, cti_op_jtrue);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jtrue));
     stubCall.addArgument(cond);
     stubCall.call();
     emitJumpSlowToHot(branchTest32(Zero, regT0), target + 2); // Inverted.
@@ -853,7 +853,7 @@ void JIT::emitSlow_op_jtrue(Instruction* currentInstruction, Vector<SlowCaseEntr
     unsigned target = currentInstruction[2].u.operand;
 
     linkSlowCase(iter);
-    JITStubCall stubCall(this, cti_op_jtrue);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jtrue));
     stubCall.addArgument(cond);
     stubCall.call();
     emitJumpSlowToHot(branchTest32(NonZero, regT0), target + 2);
@@ -971,7 +971,7 @@ void JIT::emitSlow_op_eq(Instruction* currentInstruction, Vector<SlowCaseEntry>:
     genericCase.append(branchPtr(NotEqual, Address(regT2), ImmPtr(m_globalData->jsStringVPtr)));
 
     // String case.
-    JITStubCall stubCallEqStrings(this, cti_op_eq_strings);
+    JITStubCall stubCallEqStrings(this, JIT_STUB_NAME(cti_op_eq_strings));
     stubCallEqStrings.addArgument(regT0);
     stubCallEqStrings.addArgument(regT2);
     stubCallEqStrings.call();
@@ -980,7 +980,7 @@ void JIT::emitSlow_op_eq(Instruction* currentInstruction, Vector<SlowCaseEntry>:
     // Generic case.
     genericCase.append(getSlowCase(iter)); // doubles
     genericCase.link(this);
-    JITStubCall stubCallEq(this, cti_op_eq);
+    JITStubCall stubCallEq(this, JIT_STUB_NAME(cti_op_eq));
     stubCallEq.addArgument(op1);
     stubCallEq.addArgument(op2);
     stubCallEq.call(regT0);
@@ -1021,7 +1021,7 @@ void JIT::emitSlow_op_neq(Instruction* currentInstruction, Vector<SlowCaseEntry>
     genericCase.append(branchPtr(NotEqual, Address(regT2), ImmPtr(m_globalData->jsStringVPtr)));
 
     // String case.
-    JITStubCall stubCallEqStrings(this, cti_op_eq_strings);
+    JITStubCall stubCallEqStrings(this, JIT_STUB_NAME(cti_op_eq_strings));
     stubCallEqStrings.addArgument(regT0);
     stubCallEqStrings.addArgument(regT2);
     stubCallEqStrings.call(regT0);
@@ -1030,7 +1030,7 @@ void JIT::emitSlow_op_neq(Instruction* currentInstruction, Vector<SlowCaseEntry>
     // Generic case.
     genericCase.append(getSlowCase(iter)); // doubles
     genericCase.link(this);
-    JITStubCall stubCallEq(this, cti_op_eq);
+    JITStubCall stubCallEq(this, JIT_STUB_NAME(cti_op_eq));
     stubCallEq.addArgument(regT1, regT0);
     stubCallEq.addArgument(regT3, regT2);
     stubCallEq.call(regT0);
@@ -1081,7 +1081,7 @@ void JIT::emitSlow_op_stricteq(Instruction* currentInstruction, Vector<SlowCaseE
     linkSlowCase(iter);
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_stricteq);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_stricteq));
     stubCall.addArgument(src1);
     stubCall.addArgument(src2);
     stubCall.call(dst);
@@ -1101,7 +1101,7 @@ void JIT::emitSlow_op_nstricteq(Instruction* currentInstruction, Vector<SlowCase
     linkSlowCase(iter);
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_nstricteq);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_nstricteq));
     stubCall.addArgument(src1);
     stubCall.addArgument(src2);
     stubCall.call(dst);
@@ -1161,7 +1161,7 @@ void JIT::emit_op_neq_null(Instruction* currentInstruction)
 
 void JIT::emit_op_resolve_with_base(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_resolve_with_base);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve_with_base));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[3].u.operand)));
     stubCall.addArgument(Imm32(currentInstruction[1].u.operand));
     stubCall.call(currentInstruction[2].u.operand);
@@ -1169,14 +1169,14 @@ void JIT::emit_op_resolve_with_base(Instruction* currentInstruction)
 
 void JIT::emit_op_new_func_exp(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_new_func_exp);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_func_exp));
     stubCall.addArgument(ImmPtr(m_codeBlock->functionExpr(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
 
 void JIT::emit_op_new_regexp(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_new_regexp);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_regexp));
     stubCall.addArgument(ImmPtr(m_codeBlock->regexp(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
@@ -1184,7 +1184,7 @@ void JIT::emit_op_new_regexp(Instruction* currentInstruction)
 void JIT::emit_op_throw(Instruction* currentInstruction)
 {
     unsigned exception = currentInstruction[1].u.operand;
-    JITStubCall stubCall(this, cti_op_throw);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_throw));
     stubCall.addArgument(exception);
     stubCall.call();
 
@@ -1203,7 +1203,7 @@ void JIT::emit_op_next_pname(Instruction* currentInstruction)
 
     load32(Address(callFrameRegister, (iter * sizeof(Register))), regT0);
 
-    JITStubCall stubCall(this, cti_op_next_pname);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_next_pname));
     stubCall.addArgument(regT0);
     stubCall.call();
 
@@ -1216,14 +1216,14 @@ void JIT::emit_op_next_pname(Instruction* currentInstruction)
 
 void JIT::emit_op_push_scope(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_push_scope);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_push_scope));
     stubCall.addArgument(currentInstruction[1].u.operand);
     stubCall.call(currentInstruction[1].u.operand);
 }
 
 void JIT::emit_op_pop_scope(Instruction*)
 {
-    JITStubCall(this, cti_op_pop_scope).call();
+    JITStubCall(this, JIT_STUB_NAME(cti_op_pop_scope)).call();
 }
 
 void JIT::emit_op_to_jsnumber(Instruction* currentInstruction)
@@ -1248,14 +1248,14 @@ void JIT::emitSlow_op_to_jsnumber(Instruction* currentInstruction, Vector<SlowCa
 
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_to_jsnumber);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_to_jsnumber));
     stubCall.addArgument(regT1, regT0);
     stubCall.call(dst);
 }
 
 void JIT::emit_op_push_new_scope(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_push_new_scope);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_push_new_scope));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.addArgument(currentInstruction[3].u.operand);
     stubCall.call(currentInstruction[1].u.operand);
@@ -1275,7 +1275,7 @@ void JIT::emit_op_catch(Instruction* currentInstruction)
     emitStore(exception, regT1, regT0);
     map(m_bytecodeIndex + OPCODE_LENGTH(op_catch), exception, regT1, regT0);
 #ifdef QT_BUILD_SCRIPT_LIB
-    JITStubCall stubCall(this, cti_op_debug_catch);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_debug_catch));
     stubCall.addArgument(Imm32(currentInstruction[1].u.operand));
     stubCall.call();
 #endif
@@ -1283,7 +1283,7 @@ void JIT::emit_op_catch(Instruction* currentInstruction)
 
 void JIT::emit_op_jmp_scopes(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_jmp_scopes);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jmp_scopes));
     stubCall.addArgument(Imm32(currentInstruction[1].u.operand));
     stubCall.call();
     addJump(jump(), currentInstruction[2].u.operand + 2);
@@ -1300,7 +1300,7 @@ void JIT::emit_op_switch_imm(Instruction* currentInstruction)
     m_switches.append(SwitchRecord(jumpTable, m_bytecodeIndex, defaultOffset, SwitchRecord::Immediate));
     jumpTable->ctiOffsets.grow(jumpTable->branchOffsets.size());
 
-    JITStubCall stubCall(this, cti_op_switch_imm);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_switch_imm));
     stubCall.addArgument(scrutinee);
     stubCall.addArgument(Imm32(tableIndex));
     stubCall.call();
@@ -1318,7 +1318,7 @@ void JIT::emit_op_switch_char(Instruction* currentInstruction)
     m_switches.append(SwitchRecord(jumpTable, m_bytecodeIndex, defaultOffset, SwitchRecord::Character));
     jumpTable->ctiOffsets.grow(jumpTable->branchOffsets.size());
 
-    JITStubCall stubCall(this, cti_op_switch_char);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_switch_char));
     stubCall.addArgument(scrutinee);
     stubCall.addArgument(Imm32(tableIndex));
     stubCall.call();
@@ -1335,7 +1335,7 @@ void JIT::emit_op_switch_string(Instruction* currentInstruction)
     StringJumpTable* jumpTable = &m_codeBlock->stringSwitchJumpTable(tableIndex);
     m_switches.append(SwitchRecord(jumpTable, m_bytecodeIndex, defaultOffset));
 
-    JITStubCall stubCall(this, cti_op_switch_string);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_switch_string));
     stubCall.addArgument(scrutinee);
     stubCall.addArgument(Imm32(tableIndex));
     stubCall.call();
@@ -1348,7 +1348,7 @@ void JIT::emit_op_new_error(Instruction* currentInstruction)
     unsigned type = currentInstruction[2].u.operand;
     unsigned message = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_new_error);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_error));
     stubCall.addArgument(Imm32(type));
     stubCall.addArgument(m_codeBlock->getConstant(message));
     stubCall.addArgument(Imm32(m_bytecodeIndex));
@@ -1357,7 +1357,7 @@ void JIT::emit_op_new_error(Instruction* currentInstruction)
 
 void JIT::emit_op_debug(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_debug);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_debug));
     stubCall.addArgument(Imm32(currentInstruction[1].u.operand));
     stubCall.addArgument(Imm32(currentInstruction[2].u.operand));
     stubCall.addArgument(Imm32(currentInstruction[3].u.operand));
@@ -1379,7 +1379,7 @@ void JIT::emit_op_enter_with_activation(Instruction* currentInstruction)
 {
     emit_op_enter(currentInstruction);
 
-    JITStubCall(this, cti_op_push_activation).call(currentInstruction[1].u.operand);
+    JITStubCall(this, JIT_STUB_NAME(cti_op_push_activation)).call(currentInstruction[1].u.operand);
 }
 
 void JIT::emit_op_create_arguments(Instruction*)
@@ -1388,9 +1388,9 @@ void JIT::emit_op_create_arguments(Instruction*)
 
     // If we get here the arguments pointer is a null cell - i.e. arguments need lazy creation.
     if (m_codeBlock->m_numParameters == 1)
-        JITStubCall(this, cti_op_create_arguments_no_params).call();
+        JITStubCall(this, JIT_STUB_NAME(cti_op_create_arguments_no_params)).call();
     else
-        JITStubCall(this, cti_op_create_arguments).call();
+        JITStubCall(this, JIT_STUB_NAME(cti_op_create_arguments)).call();
 
     argsCreated.link(this);
 }
@@ -1421,7 +1421,7 @@ void JIT::emitSlow_op_convert_this(Instruction* currentInstruction, Vector<SlowC
     linkSlowCase(iter);
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_convert_this);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_convert_this));
     stubCall.addArgument(regT1, regT0);
     stubCall.call(thisRegister);
 }
@@ -1431,7 +1431,7 @@ void JIT::emit_op_profile_will_call(Instruction* currentInstruction)
     peek(regT2, OBJECT_OFFSETOF(JITStackFrame, enabledProfilerReference) / sizeof (void*));
     Jump noProfiler = branchTestPtr(Zero, Address(regT2));
 
-    JITStubCall stubCall(this, cti_op_profile_will_call);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_profile_will_call));
     stubCall.addArgument(currentInstruction[1].u.operand);
     stubCall.call();
     noProfiler.link(this);
@@ -1442,7 +1442,7 @@ void JIT::emit_op_profile_did_call(Instruction* currentInstruction)
     peek(regT2, OBJECT_OFFSETOF(JITStackFrame, enabledProfilerReference) / sizeof (void*));
     Jump noProfiler = branchTestPtr(Zero, Address(regT2));
 
-    JITStubCall stubCall(this, cti_op_profile_did_call);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_profile_did_call));
     stubCall.addArgument(currentInstruction[1].u.operand);
     stubCall.call();
     noProfiler.link(this);
@@ -1755,7 +1755,7 @@ void JIT::privateCompileCTIMachineTrampolines(RefPtr<ExecutablePool>* executable
     emitGetFromCallFrameHeaderPtr(RegisterFile::ReturnPC, regT1);
     move(ImmPtr(&globalData->exceptionLocation), regT2);
     storePtr(regT1, regT2);
-    move(ImmPtr(reinterpret_cast<void*>(ctiVMThrowTrampoline)), regT2);
+    move(ImmPtr(reinterpret_cast<void*>(JIT_STUB_NAME(ctiVMThrowTrampoline))), regT2);
     emitGetFromCallFrameHeaderPtr(RegisterFile::CallerFrame, callFrameRegister);
     poke(callFrameRegister, OBJECT_OFFSETOF(struct JITStackFrame, callFrame) / sizeof (void*));
     restoreReturnAddressBeforeReturn(regT2);
@@ -1772,16 +1772,16 @@ void JIT::privateCompileCTIMachineTrampolines(RefPtr<ExecutablePool>* executable
     LinkBuffer patchBuffer(this, m_globalData->executableAllocator.poolForSize(m_assembler.size()));
 
 #if ENABLE(JIT_OPTIMIZE_PROPERTY_ACCESS)
-    patchBuffer.link(string_failureCases1Call, FunctionPtr(cti_op_get_by_id_string_fail));
-    patchBuffer.link(string_failureCases2Call, FunctionPtr(cti_op_get_by_id_string_fail));
-    patchBuffer.link(string_failureCases3Call, FunctionPtr(cti_op_get_by_id_string_fail));
+    patchBuffer.link(string_failureCases1Call, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_string_fail)));
+    patchBuffer.link(string_failureCases2Call, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_string_fail)));
+    patchBuffer.link(string_failureCases3Call, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_string_fail)));
 #endif
-    patchBuffer.link(callArityCheck1, FunctionPtr(cti_op_call_arityCheck));
-    patchBuffer.link(callJSFunction1, FunctionPtr(cti_op_call_JSFunction));
+    patchBuffer.link(callArityCheck1, FunctionPtr(JIT_STUB_NAME(cti_op_call_arityCheck)));
+    patchBuffer.link(callJSFunction1, FunctionPtr(JIT_STUB_NAME(cti_op_call_JSFunction)));
 #if ENABLE(JIT_OPTIMIZE_CALL)
-    patchBuffer.link(callArityCheck2, FunctionPtr(cti_op_call_arityCheck));
-    patchBuffer.link(callJSFunction2, FunctionPtr(cti_op_call_JSFunction));
-    patchBuffer.link(callLazyLinkCall, FunctionPtr(cti_vm_lazyLinkCall));
+    patchBuffer.link(callArityCheck2, FunctionPtr(JIT_STUB_NAME(cti_op_call_arityCheck)));
+    patchBuffer.link(callJSFunction2, FunctionPtr(JIT_STUB_NAME(cti_op_call_JSFunction)));
+    patchBuffer.link(callLazyLinkCall, FunctionPtr(JIT_STUB_NAME(cti_vm_lazyLinkCall)));
 #endif
 
     CodeRef finalCode = patchBuffer.finalizeCode();
@@ -1821,7 +1821,7 @@ void JIT::emit_op_mov(Instruction* currentInstruction)
 void JIT::emit_op_end(Instruction* currentInstruction)
 {
     if (m_codeBlock->needsFullScopeChain())
-        JITStubCall(this, cti_op_end).call();
+        JITStubCall(this, JIT_STUB_NAME(cti_op_end)).call();
     ASSERT(returnValueRegister != callFrameRegister);
     emitGetVirtualRegister(currentInstruction[1].u.operand, returnValueRegister);
     restoreReturnAddressBeforeReturn(Address(callFrameRegister, RegisterFile::ReturnPC * static_cast<int>(sizeof(Register))));
@@ -1902,7 +1902,7 @@ void JIT::emit_op_loop_if_lesseq(Instruction* currentInstruction)
 
 void JIT::emit_op_new_object(Instruction* currentInstruction)
 {
-    JITStubCall(this, cti_op_new_object).call(currentInstruction[1].u.operand);
+    JITStubCall(this, JIT_STUB_NAME(cti_op_new_object)).call(currentInstruction[1].u.operand);
 }
 
 void JIT::emit_op_instanceof(Instruction* currentInstruction)
@@ -1956,7 +1956,7 @@ void JIT::emit_op_instanceof(Instruction* currentInstruction)
 
 void JIT::emit_op_new_func(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_new_func);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_func));
     stubCall.addArgument(ImmPtr(m_codeBlock->functionDecl(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
@@ -1976,7 +1976,7 @@ void JIT::emit_op_load_varargs(Instruction* currentInstruction)
     int argCountDst = currentInstruction[1].u.operand;
     int argsOffset = currentInstruction[2].u.operand;
 
-    JITStubCall stubCall(this, cti_op_load_varargs);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_load_varargs));
     stubCall.addArgument(Imm32(argsOffset));
     stubCall.call();
     // Stores a naked int32 in the register file.
@@ -2037,26 +2037,26 @@ void JIT::emit_op_put_scoped_var(Instruction* currentInstruction)
 
 void JIT::emit_op_tear_off_activation(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_tear_off_activation);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_tear_off_activation));
     stubCall.addArgument(currentInstruction[1].u.operand, regT2);
     stubCall.call();
 }
 
 void JIT::emit_op_tear_off_arguments(Instruction*)
 {
-    JITStubCall(this, cti_op_tear_off_arguments).call();
+    JITStubCall(this, JIT_STUB_NAME(cti_op_tear_off_arguments)).call();
 }
 
 void JIT::emit_op_ret(Instruction* currentInstruction)
 {
 #ifdef QT_BUILD_SCRIPT_LIB
-    JITStubCall stubCall(this, cti_op_debug_return);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_debug_return));
     stubCall.addArgument(Imm32(currentInstruction[1].u.operand));
     stubCall.call();
 #endif
     // We could JIT generate the deref, only calling out to C when the refcount hits zero.
     if (m_codeBlock->needsFullScopeChain())
-        JITStubCall(this, cti_op_ret_scopeChain).call();
+        JITStubCall(this, JIT_STUB_NAME(cti_op_ret_scopeChain)).call();
 
     ASSERT(callFrameRegister != regT1);
     ASSERT(regT1 != returnValueRegister);
@@ -2078,7 +2078,7 @@ void JIT::emit_op_ret(Instruction* currentInstruction)
 
 void JIT::emit_op_new_array(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_new_array);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_array));
     stubCall.addArgument(Imm32(currentInstruction[2].u.operand));
     stubCall.addArgument(Imm32(currentInstruction[3].u.operand));
     stubCall.call(currentInstruction[1].u.operand);
@@ -2086,7 +2086,7 @@ void JIT::emit_op_new_array(Instruction* currentInstruction)
 
 void JIT::emit_op_resolve(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_resolve);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
@@ -2119,7 +2119,7 @@ void JIT::emit_op_to_primitive(Instruction* currentInstruction)
 
 void JIT::emit_op_strcat(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_strcat);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_strcat));
     stubCall.addArgument(Imm32(currentInstruction[2].u.operand));
     stubCall.addArgument(Imm32(currentInstruction[3].u.operand));
     stubCall.call(currentInstruction[1].u.operand);
@@ -2142,14 +2142,14 @@ void JIT::emit_op_loop_if_true(Instruction* currentInstruction)
 };
 void JIT::emit_op_resolve_base(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_resolve_base);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve_base));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
 
 void JIT::emit_op_resolve_skip(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_resolve_skip);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve_skip));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.addArgument(Imm32(currentInstruction[3].u.operand + m_codeBlock->needsFullScopeChain()));
     stubCall.call(currentInstruction[1].u.operand);
@@ -2180,7 +2180,7 @@ void JIT::emit_op_resolve_global(Instruction* currentInstruction)
 
     // Slow case
     noMatch.link(this);
-    JITStubCall stubCall(this, cti_op_resolve_global);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve_global));
     stubCall.addArgument(ImmPtr(globalObject));
     stubCall.addArgument(ImmPtr(ident));
     stubCall.addArgument(Imm32(currentIndex));
@@ -2307,7 +2307,7 @@ void JIT::emit_op_bitnot(Instruction* currentInstruction)
 
 void JIT::emit_op_resolve_with_base(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_resolve_with_base);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_resolve_with_base));
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[3].u.operand)));
     stubCall.addArgument(Imm32(currentInstruction[1].u.operand));
     stubCall.call(currentInstruction[2].u.operand);
@@ -2315,7 +2315,7 @@ void JIT::emit_op_resolve_with_base(Instruction* currentInstruction)
 
 void JIT::emit_op_new_func_exp(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_new_func_exp);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_func_exp));
     stubCall.addArgument(ImmPtr(m_codeBlock->functionExpr(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
@@ -2357,7 +2357,7 @@ void JIT::emit_op_bitxor(Instruction* currentInstruction)
 
 void JIT::emit_op_new_regexp(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_new_regexp);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_new_regexp));
     stubCall.addArgument(ImmPtr(m_codeBlock->regexp(currentInstruction[2].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
 }
@@ -2372,7 +2372,7 @@ void JIT::emit_op_bitor(Instruction* currentInstruction)
 
 void JIT::emit_op_throw(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_throw);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_throw));
     stubCall.addArgument(currentInstruction[1].u.operand, regT2);
     stubCall.call();
     ASSERT(regT0 == returnValueRegister);
@@ -2385,7 +2385,7 @@ void JIT::emit_op_throw(Instruction* currentInstruction)
 
 void JIT::emit_op_next_pname(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_next_pname);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_next_pname));
     stubCall.addArgument(currentInstruction[2].u.operand, regT2);
     stubCall.call();
     Jump endOfIter = branchTestPtr(Zero, regT0);
